complexType "CommodityOption"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 14 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType+, productId*, assetClass+, optionType?, ((commodity?, ((notionalQuantity, totalNotionalQuantity) | quantityReference), exercise?, strikePricePerUnit) | ((commoditySwap? | commodityForward?), physicalExercise?)), premium?
</...>

Content Model Elements (14):

  assetClass, commodity (in commodityOption), commodityForward, commoditySwap, exercise (in commodityOption), notionalQuantity, optionType (in commodityOption), | physicalExercise, premium (in commodityOption), productId, productType, quantityReference, strikePricePerUnit, totalNotionalQuantity

All Direct / Indirect Based Elements (1):

  commodityOption

Known Usage Locations

- As direct type of elements (1):
  commodityOption

Annotation
Commodity Option.
Type Definition Detail

Type Derivation Tree Product (extension) CommodityOption

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CommodityOption"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/> <xsd:choice> <xsd:group ref="CommodityFinancialOption.model"/> <xsd:group ref="CommodityPhysicalOption.model"/> </xsd:choice> <xsd:element minOccurs="0" name="premium" type="CommodityPremium"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/14)
optionType

  Type: | PutCallEnum, simple content

  The type of option transaction.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Put" | - | A put option gives the holder the right to sell the underlying asset by a certain date for a certain price. See: http://www.FpML.org
  "Call" | - | A call option gives the holder the right to buy the underlying asset by a certain date for a certain price. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/>

premium

  Type: | CommodityPremium, complex content

  The option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premium" type="CommodityPremium"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.